module SPRAL_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libspral
const libspral_path = "/usr/lib/libspral.so"
libspral_handle = C_NULL
get_libspral_path() = libspral_path
const libspral = "libspral.so"
export spral_ssids
const spral_ssids_path = "/usr/bin/spral_ssids"
spral_ssids(f::Function; kw...) = f(spral_ssids_path)
spral_ssids(; kw...) = Cmd([spral_ssids_path])
function __init__()
    global libspral_handle = dlopen(libspral_path)
end
end
